javafx.util.converter

## Class LongStringConverter

- java.lang.Object
- - javafx.util.StringConverter<Long>
  - - javafx.util.converter.LongStringConverter

-     public class LongStringConverter
      extends StringConverter<Long>

  `StringConverter` implementation for `Long` (and long primitive) values.

  Since:
    JavaFX 2.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongStringConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `fromString(String value)` Converts the string provided into an object defined by the specific converter.
    `String` | `toString(Long value)` Converts the object provided into its string form.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongStringConverter

          public LongStringConverter()

  - ### Method Detail

    - #### fromString

          public Long fromString(String value)

      Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.
      Specified by:
        `fromString` in class `StringConverter<Long>`
      Returns:
        an object representation of the string passed in.

    - #### toString

          public String toString(Long value)

      Converts the object provided into its string form. Format of the returned string is defined by the specific converter.
      Specified by:
        `toString` in class `StringConverter<Long>`
      Returns:
        a string representation of the object passed in.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.